/* Installation script for TimeCalc */
CALL rxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
CALL SysLoadFuncs
SAY "TimeCalc Installation"
DefaultPath = "C:\TimeCalc"
SAY "Select Path or type Enter for [DefaultPath]"
PARSE PULL InstallPath
SAY "Select program language (english | german) [english]"
PULL Language
IF ( (Language != "ENGLISH") & (Language != "GERMAN") ) THEN
  SAY "Unsupported language specified. Installing english version"
IF InstallPath = "" THEN InstallPath=DefaultPath
rc = SysMkDir(InstallPath)
TargetExe = InstallPath"\Timecalc.exe"
TargetIco = InstallPath"\Timecalc.ico"
SELECT
  WHEN (Language = "GERMAN") THEN
    DO
      TargetReadme = InstallPath"\LIESMICH"
      COPY TimeCalc_de.exe TargetExe
      COPY TimeCalc.ico TargetIco
      COPY LIESMICH TargetReadme
    END 
  OTHERWISE
    DO
      TargetReadme = InstallPath"\LIESMICH"
      COPY TimeCalc.exe TargetExe
      COPY TimeCalc.ico TargetIco
      COPY README TargetReadme
    END
END /* SELECT */
parm = "Exename="TargetExe
rc = SysCreateObject("WPPROGRAM", "TimeCalc", "<WP_DESKTOP>", , parm)

